//=============================================================================
// SkinsReplacer.
//=============================================================================
class SkinsReplacer expands Mutator config(SkinsReplacer);

const MAXSKINS = 32;

struct SkinReplacement
{
	var() config string originalSkin;
	var() config string newSkin;
};

var() config bool Enabled;
var() config SkinReplacement skinReplacements[MAXSKINS];

function PostBeginPlay()
{
	Super.PostBeginPlay();

	if(!Enabled)
		return;

	SetTimer(1, true);
}

function Timer()
{
	local Pawn pawn;
	local int i;
	local Texture newSkin;

	pawn = Level.PawnList;

	while(pawn != none)
	{
		for(i = 0; i < MAXSKINS; i++)
		{
			if(skinReplacements[i].originalSkin == "")
				break;

				if(string(pawn.Skin) ~= skinReplacements[i].originalSkin)
			{
				newSkin = Texture(DynamicLoadObject(skinReplacements[i].newSkin, class'Texture', true));
				pawn.Skin = newSkin;
			}
		}

		pawn = pawn.NextPawn;
	}
}

defaultproperties
{
				Enabled=True
				skinReplacements(0)=(originalSkin="InfSkins.Female1_Urban",NewSkin="InfSkins.Female1_Blue")
				skinReplacements(1)=(originalSkin="InfSkins.Female1_Jungle",NewSkin="InfSkins.Female1_Red")
				skinReplacements(2)=(originalSkin="InfSkins.Female2_Urban",NewSkin="InfSkins.Female2_Blue")
				skinReplacements(3)=(originalSkin="InfSkins.Female2_Jungle",NewSkin="InfSkins.Female2_Red")
				skinReplacements(4)=(originalSkin="InfSkins.Male1_Urban",NewSkin="InfSkins.Male1_Blue")
				skinReplacements(5)=(originalSkin="InfSkins.Male1_Jungle",NewSkin="InfSkins.Male1_Red")
				skinReplacements(6)=(originalSkin="InfSkins.Male2_Urban",NewSkin="InfSkins.Male2_Blue")
				skinReplacements(7)=(originalSkin="InfSkins.Male2_Jungle",NewSkin="InfSkins.Male2_Red")
				skinReplacements(8)=(originalSkin="InfSkins.Male3_Urban",NewSkin="InfSkins.Male3_Blue")
				skinReplacements(9)=(originalSkin="InfSkins.Male3_Jungle",NewSkin="InfSkins.Male3_Red")
}
